"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployContract = deployContract;
const zksync_1 = require("viem/zksync");
const constants_js_1 = require("../constants.js");
const sendTransaction_js_1 = require("./sendTransaction.js");
function deployContract(walletClient, signerClient, publicClient, parameters, isPrivyCrossApp = false) {
    const { abi, args, bytecode, deploymentType, salt, ...request } = parameters;
    const data = (0, zksync_1.encodeDeployData)({
        abi,
        args,
        bytecode,
        deploymentType,
        salt,
    });
    request.factoryDeps = request.factoryDeps || [];
    if (!request.factoryDeps.includes(bytecode))
        request.factoryDeps.push(bytecode);
    return (0, sendTransaction_js_1.sendTransaction)(walletClient, signerClient, publicClient, {
        ...request,
        data,
        to: constants_js_1.CONTRACT_DEPLOYER_ADDRESS,
    }, isPrivyCrossApp);
}
//# sourceMappingURL=deployContract.js.map