"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendTransaction = sendTransaction;
const constants_js_1 = require("../constants.js");
const sendPrivyTransaction_js_1 = require("./sendPrivyTransaction.js");
const sendTransactionInternal_js_1 = require("./sendTransactionInternal.js");
async function sendTransaction(client, signerClient, publicClient, parameters, isPrivyCrossApp = false, customPaymasterHandler = undefined) {
    if (isPrivyCrossApp) {
        let paymasterData = {};
        const requestAsAny = parameters;
        if (customPaymasterHandler &&
            !requestAsAny.paymaster &&
            !requestAsAny.paymasterInput) {
            paymasterData = await customPaymasterHandler({
                ...parameters,
                from: client.account.address,
                chainId: parameters.chain?.id ?? client.chain.id,
            });
        }
        const updatedParameters = {
            ...parameters,
            ...paymasterData,
        };
        return await (0, sendPrivyTransaction_js_1.sendPrivyTransaction)(client, updatedParameters);
    }
    return (0, sendTransactionInternal_js_1.sendTransactionInternal)(client, signerClient, publicClient, parameters, constants_js_1.EOA_VALIDATOR_ADDRESS, {}, customPaymasterHandler);
}
//# sourceMappingURL=sendTransaction.js.map