"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFeatureFlagEnabled = isFeatureFlagEnabled;
const FeatureFlagRegistryAbi_js_1 = require("./abis/FeatureFlagRegistryAbi.js");
const constants_js_1 = require("./constants.js");
async function isFeatureFlagEnabled(client, account, featureFlag) {
    try {
        const enabled = await client.readContract({
            address: constants_js_1.FEATURE_FLAG_REGISTRY_ADDRESS,
            abi: FeatureFlagRegistryAbi_js_1.FeatureFlagRegistryAbi,
            functionName: 'isFeatureFlagEnabled',
            args: [featureFlag, account],
        });
        return enabled;
    }
    catch (error) {
        console.error(error);
        return false;
    }
}
//# sourceMappingURL=featureFlagRegistry.js.map