import { type Account, type Address, type Client, type PublicClient, type SendTransactionRequest, type SendTransactionReturnType, type Transport, type WalletClient } from 'viem';
import { type ChainEIP712 } from 'viem/zksync';
import type { CustomPaymasterHandler } from '../types/customPaymaster.js';
import type { SendTransactionBatchParameters } from '../types/sendTransactionBatch.js';
export declare function getBatchTransactionObject<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, chainOverride extends ChainEIP712 | undefined = ChainEIP712 | undefined, request extends SendTransactionRequest<chain, chainOverride> = SendTransactionRequest<chain, chainOverride>>(address: Address, parameters: SendTransactionBatchParameters<request>): any;
export declare function sendTransactionBatch<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, chainOverride extends ChainEIP712 | undefined = ChainEIP712 | undefined, request extends SendTransactionRequest<chain, chainOverride> = SendTransactionRequest<chain, chainOverride>>(client: Client<Transport, ChainEIP712, Account>, signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, parameters: SendTransactionBatchParameters<request>, isPrivyCrossApp?: boolean, customPaymasterHandler?: CustomPaymasterHandler | undefined): Promise<SendTransactionReturnType>;
//# sourceMappingURL=sendTransactionBatch.d.ts.map